### 5.1.146 sortvec

`Syntax:`
  `sortvec (` ideal_expression `)`
  `sortvec (` module_expression `)`
`Type:`
  intvec
`Purpose:`
  computes the permutation `v` which orders the ideal, resp. module, `I` by its initial terms, starting with the smallest, that is, `I(v[i]) < I(v[i+1])` for all `i`.
`Example:`

        ring r=0,(x,y,z),dp;
        ideal I=y,z,x,x3,xz;
        sortvec(I);
      ==> 2,1,3,5,4

See general_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.